#include "shopsettings.h"

ShopSettings::ShopSettings(QObject *parent) : QObject(parent)
{
    m_codepage = ASCII;
    m_lettersPerLine = 48;

    m_eetActive = false;
    m_eetMode = 1;
    m_eetTest = 0;
    m_eetPlayground = 0;

    m_favBtnCols = 0;
    m_favBtnRows = 0;
    m_favBtnSize = 0;

    m_rounding = Enums::R_NONE;
    m_decimalPlaces = 0;

    m_defaultVat = Enums::NONE;

    m_doublePrint = false;

    m_showCount = true;
}

QString ShopSettings::output() const
{
    return m_output;
}

void ShopSettings::setOutput(const QString &output)
{
    m_output = output;
}

ShopSettings::CODEPAGE ShopSettings::codepage() const
{
    return m_codepage;
}

void ShopSettings::setCodepage(const CODEPAGE &codepage)
{
    m_codepage = codepage;
}

int ShopSettings::lettersPerLine() const
{
    return m_lettersPerLine;
}

void ShopSettings::setLettersPerLine(int lettersPerLine)
{
    m_lettersPerLine = lettersPerLine;
}

QString ShopSettings::byMessage() const
{
    return m_byMessage;
}

void ShopSettings::setByMessage(const QString &byMessage)
{
    m_byMessage = byMessage;
}

bool ShopSettings::eetActive() const
{
    return m_eetActive;
}

void ShopSettings::setEetActive(bool eetActive)
{
    m_eetActive = eetActive;
}

QString ShopSettings::eetShopId() const
{
    return m_eetShopId;
}

void ShopSettings::setEetShopId(const QString &eetShopId)
{
    m_eetShopId = eetShopId;
}

QString ShopSettings::eetRegisterId() const
{
    return m_eetRegisterId;
}

void ShopSettings::setEetRegisterId(const QString &eetRegisterId)
{
    m_eetRegisterId = eetRegisterId;
}

int ShopSettings::eetMode() const
{
    return m_eetMode;
}

void ShopSettings::setEetMode(int eetMode)
{
    m_eetMode = eetMode;
}

QString ShopSettings::eetCertificate() const
{
    return m_eetCertificate;
}

void ShopSettings::setEetCertificate(const QString &eetCertificate)
{
    m_eetCertificate = eetCertificate;
}

QString ShopSettings::eetKeyPassword() const
{
    return m_eetKeyPassword;
}

void ShopSettings::setEetKeyPassword(const QString &eetKeyPassword)
{
    m_eetKeyPassword = eetKeyPassword;
}

bool ShopSettings::eetTest() const
{
    return m_eetTest;
}

void ShopSettings::setEetTest(bool eetTest)
{
    m_eetTest = eetTest;
}

bool ShopSettings::eetPlayground() const
{
    return m_eetPlayground;
}

void ShopSettings::setEetPlayground(bool eetPlayground)
{
    m_eetPlayground = eetPlayground;
}

int ShopSettings::favBtnCols() const
{
    return m_favBtnCols;
}

void ShopSettings::setFavBtnCols(int favBtnCols)
{
    m_favBtnCols = favBtnCols;
}

int ShopSettings::favBtnRows() const
{
    return m_favBtnRows;
}

void ShopSettings::setFavBtnRows(int favBtnRows)
{
    m_favBtnRows = favBtnRows;
}

int ShopSettings::favBtnSize() const
{
    return m_favBtnSize;
}

void ShopSettings::setFavBtnSize(int favBtnSize)
{
    m_favBtnSize = favBtnSize;
}

Enums::Rounding ShopSettings::rounding() const
{
    return m_rounding;
}

void ShopSettings::setRounding(const Enums::Rounding &rounding)
{
    m_rounding = rounding;
}

int ShopSettings::decimalPlaces() const
{
    return m_decimalPlaces;
}

void ShopSettings::setDecimalPlaces(int decimalPlaces)
{
    m_decimalPlaces = decimalPlaces;
}

QString ShopSettings::roundingItem() const
{
    return m_roundingItem;
}

void ShopSettings::setRoundingItem(const QString &roundingItem)
{
    m_roundingItem = roundingItem;
}

bool ShopSettings::doublePrint() const
{
    return m_doublePrint;
}

void ShopSettings::setDoublePrint(bool doublePrint)
{
    m_doublePrint = doublePrint;
}

QString ShopSettings::doublePrintItem() const
{
    return m_doublePrintItem;
}

void ShopSettings::setDoublePrintItem(const QString &doublePrintItem)
{
    m_doublePrintItem = doublePrintItem;
}

Enums::VatType ShopSettings::defaultVat() const
{
    return m_defaultVat;
}

void ShopSettings::setDefaultVat(const Enums::VatType &defaultVat)
{
    m_defaultVat = defaultVat;
}

bool ShopSettings::showCount() const
{
    return m_showCount;
}

void ShopSettings::setShowCount(bool showCount)
{
    m_showCount = showCount;
}
